<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('workers', function (Blueprint $table) {
            $table->string('country')->nullable()->after('nationality');
            $table->string('city')->nullable()->after('country');
            $table->string('area')->nullable()->after('city');
            $table->string('preferred_location')->nullable()->after('area');
            $table->string('live_in_out')->nullable()->after('preferred_location');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('workers', function (Blueprint $table) {
            $table->dropColumn(['country', 'city', 'area', 'preferred_location', 'live_in_out']);
        });
    }
};
